# Join our discord server!
Want to make suggestions? Have any bugs to report? Or do you just want to find a group of people to chill with? Then join our Discord server! https://discord.gg/TmGqzmDMPU

# Check out other mods from the Best Associated Largely Ludicrous Sillyhead Group!
Looking for something a little more chaotic? Then try out Gamers of the Cracked Emoji (GOTCE) for a completely unhinged and stupid experience! https://thunderstore.io/package/TheBestAssociatedLargelyLudicrousSillyheadGroup/Gamers_of_the_Cracked_Emoji/

# Well-Rounded Balance
Are you tired of your runs being too same-y? Tired of the anemically bad balance of RoR2? Wish the game wasn't afraid to throw some punches?

Well then, Well-Rounded Balance (WRB) has you covered. As it stands, it rebalances nearly the entire game in a similar manner to RoR1 or CU0, except vastly improved. Also features all of HIFU's survivor tweaks mods.

For a full list of changes, check out the WRB Google Doc https://docs.google.com/document/d/1uP1Bp4tBOMoKyhyjuvXk5IHuuV373sa77NsX-l_vUUA/edit?usp=sharing

# Scaling Reworks
- Scaling is now linear but much more aggressive. This means that scaling will be much faster in the early game, but will cool off a bit during loops. This is to encourage players to play quickly and efficiently, and to make the game more engaging. Difficulty actually scales with time now. Woolie Rushing isn't a meme.
- Rainstorm now has vanilla Monsoon scaling, while Monsoon scaling has been doubled.
- The director spawns more enemies and at a much more frequent pace.
- Gold scaling has been heavily reworked so that you can't just kill a gup and buy out the whole stage, among other things.
- Stronger enemy pre-spawns, and pre-spawned enemies actually give gold.

# Major Item Reworks
| Item | Old Effect | New Effect |
| --- | --- | --- |
| Delicate Watch| Increase damage by 20% (+20% per stack). Taking damage to below 25% health breaks this item.| Increase damage by 15% (+15% per stack) while out of danger.|
| Oddly-shaped Opal| Increase armor by 100 (+100 per stack) while out of danger.| Increase armor by 40 (+40 per stack) while out of combat.|
| Power Elixir| Taking damage to below 25% health consumes this item, healing you for 75% maximum health.| Taking damage to below 50% health consumes this item, healing you for 25% of your maximum health over 4s. Refills every stage.|
| Roll of Pennies| Gain 3 (+3 per stack) gold on taking damage from an enemy. Scales over time.| Gain 10 gold on pickup. At the beginning of every stage, gain 25 (+15 per stack) gold. Scales over time.|
| Death Mark| Enemies with 4 or more debuffs are marked for death, increasing damage taken by 50% from all sources for 7 (+7 per stack) seconds.| Enemies with 2 or more debuffs are marked for death, increasing damage taken by 7% (+3% per stack) per debuff from all sources for 7 seconds.|
| Harvester's Scythe| Gain 5% critical chance. Critical strikes heal for 8 (+4 per stack) health.| Backstabs heal for 1.5% (+0.75% per stack) of your missing health, regardless of proc coefficient (does not work on DOTs).|
| Infusion| Killing an enemy increases your health permanently by 1 (+1 per stack), up to a maximum of 100 (+100 per stack) health.| Killing an enemy increases your health permanently by 1 (+1 per stack), up to a maximum of 30 (+7.5 per level per stack) health.|
| Razorwire| Getting hit causes you to explode in a burst of razors, dealing 160% damage. Hits up to 5 (+2 per stack) targets in a 25m (+10m per stack) radius.| On taking damage, deal 400% (+200%) base damage to the target that attacked you, regardless of range.|
| Runald's Band| Hits that deal more than 400% damage also blasts enemies with a runic ice blast, slowing them by 80% for 3s (+3s per stack) and dealing 250% (+250% per stack) TOTAL damage. Recharges every 10 seconds.| Hits that deal more than 400% damage also blasts enemies with a runic ice blast, slowing them for 3 seconds and dealing 50% TOTAL damage + 1300% (+650% per stack) base damage. Recharges over 10 seconds.
| War Horn| Activating your Equipment gives you +70% attack speed for 8s (+4s per stack).| Activating your Equipment gives you +30% (+15% per stack) attack speed and +3 (+1.5 per stack) regen for 12s.|
| Ben's Raincoat| Prevents 1 (+1 per stack) debuff and instead grants a temporary barrier for 10% of maximum health. Recharges every 5 seconds.| Gain 20% movement speed. Prevents 1 (+1 per stack) debuff and instead grants 30% (+10% per stack) movement speed for 3 seconds. Recharges every second.|
| Happiest Mask| Killing enemies has a 7% chance to spawn a ghost of the killed enemy with 1500% damage. Lasts 30s (+30s per stack).| Killing an enemy spawns a ghost with 1200% (+400% per stack) damage that lasts 30s. Recharges every 20s.|
| Symbiotic Scorpion| 100% chance on hit to reduce armor by 2 (+2 per stack) permanently.| Inflict venom on hit, dealing 750% (+100% per stack) base damage over 5s and stealing 20 (+10 per stack) armor for 5s.|
| Wake of Vultures| Gain the power of any killed elite monster for 8s (+5s per stack).| Gain the power of any killed elite monster until replaced. Can have up to 1 (+1 per stack) elite powers. Reduce damage taken by 20% (+20% per stack) for elites whose power you possess.|
| Defense Nucleus| Killing elite monsters spawns an Alpha Construct with bonus 300% damage and 300% health. Limited to 4 (+4 per stack). :skull:| Gain 25% damage resistance. Upon using your special, unleash a devastating laser for 50% (+50% per stack) of the resisted damage per second.|
| Planula| Heal from incoming damage for 15 (+15 per stack).| After standing still for 0.5 seconds, unleash the unmatched power of the sun.|
| Queen's Gland| Every 30 seconds, summon a Beetle Guard with bonus 300% damage and 100% health. Can have up to 1 (+1 per stack) Guards at a time.| Every 30 seconds, summon 3 Beetle Guards with bonus 300% (+200% per stack) damage and 100% health.|
| Titanic Knurl| Increase maximum health by 40 (+40 per stack) and base health regeneration by +1.6 hp/s (+1.6 hp/s per stack). :skull: why is this item so fucking bad| Gain a 10% (+10% per stack) chance on hit to summon a stone fist that deals 350% damage and knocks up enemies in a small radius.|
| Pluripotent Larva| Upon death, this item will be consumed and you will return to life with 3 seconds of invulnerability, and all of your items that can be corrupted will be. Corrupts all Dio's Best Friends.| Shuffles your inventory on pickup. Upon death, this item will be consumed and you will return to life with 3 seconds of invulnerability, and all of your items that can be corrupted will be. Corrupts all Dio's Best Friends.|
| Focused Convergence| Teleporters charge 30% (+30% per stack) faster, but the size of the Teleporter zone is 50% (-50% per stack) smaller.| Increase teleporter event rewards by 2 (+2 per stack). Teleporter events spawn 100% (+100% per stack) more bosses.|
| Gesture of the Drowned| Reduce Equipment cooldown by 50% (+15% per stack). Forces your Equipment to activate whenever it is off cooldown.| Reduce Equipment cooldown by 30%. Forces your Equipment to activate and randomize whenever it is off cooldown. Does not gain any benefits from stacking. Cope.|
| Hooks of Heresy| Replace your Secondary Skill with Slicing Maelstrom. Charge up a projectile that deals 875% damage per second to nearby enemies, exploding after 3 seconds to deal 700% damage and root enemies for 3 (+3 per stack) seconds. Recharges after 5 (+5 per stack) seconds.| Charge up a projectile that deals 250%-375% DPS depending on charge time before exploding for 200%-300% depending on charge time.
| Light Flux Pauldron| Decrease skill cooldowns by 50% (+50% per stack). Decrease attack speed by 50% (+50% per stack).| Increase movement speed by 30% (+30% per stack) while airborne. Getting hit forcibly pulls you to the ground. (Pull strength increases per stack).|
| Mercurial Rachis| Creates a Ward of Power in a random location nearby that buffs both enemies and allies within 16m (+50% per stack), causing them to deal +50% damage.| Creates a Ward of Power in a random location nearby that buffs both enemies and allies within 30m (+50% per stack), causing them to gain 35% attack speed and movement speed. Enemies benefit from the ward twice as much.|
| Stone Flux Pauldron| Increase max health by 100% (+100% per stack). Reduce movement speed by 50% (+50% per stack).| Pull enemies on hit. Enemies pull you on hit. (Pull strength increases per stack).|
| Visions of Heresy| Replace your Primary Skill with Hungering Gaze. Fire a flurry of tracking shards that detonate after a delay, dealing 120% base damage. Hold up to 12 charges (+12 per stack) that reload after 2 seconds (+2 per stack).| Replace your Primary Skill with Hungering Gaze. Fire a flurry of tracking shards that deal 70% damage each, then explode for 140% base damage. Hold up to 5 (+5 per stack) charges that reload after 1.7 (+1.7 per stack)seconds.|

# Bazaar Reworks
- The slab (lunar reroller) has been removed.
- There are now 4 lunar pods where the items were, along with a table containing 2 random Heresy items (which no longer appear in the normal lunar pool).

# Elite Reworks
- Elites as a whole no longer have increased damage and only have increased health (4x for T1 and 6x for T2), but instead have much more pronounced and interesting elite effects.

| Elite | Old Effect (cringe) | New Effect (:gigacat:) |
| --- | --- | --- |
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/c/cf/Status_AffixRed.png/revision/latest/scale-to-width-down/64?cb=20200306055955" width="100"/> Blazing| On hit, burn target for 50% total damage over time. Additionally, passively create a trail of damaging fire.| No longer burns on hit. Passively fire lobbed projectiles around itself that spawn damaging pools of fire on contact with the ground. Passively create a more intense fire trail that lasts longer and is bigger.|
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/9/96/Status_AffixBlue.png/revision/latest/scale-to-width-down/64?cb=20200306055949" width="100"/> Overloading| On hit, attack a lightning bomb to the target which explodes after a few seconds for 50% total damage in a 4m radius. 50% of max health is replaced with shields.| No longer creates an overloading bomb on hit. Upon taking damage, teleport to a nearby location. The teleportation has a 6s cooldown. Upon teleporting, spews chain lightning to nearby enemies that gives them a temporary movement speed boost. Also has an innate +50% movement speed boost.|
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/7/71/Status_AffixWhite.png/revision/latest/scale-to-width-down/64?cb=20200306055957" width="100"/> Glacial| Slow targets on hit for 1.5 seconds times proc coefficient. On death, explode in a radius for 150% damage after a short delay, briefly freezing any enemies caught.| The on-hit slow now has a small aoe. Glacial Elites now also give nearby enemies protective rotating shields that physically block a few shots before breaking.|
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/d/dc/Status_AffixEarth.png/revision/latest/scale-to-width-down/64?cb=20220304233157" width="100"/> Mending| Heals the nearest ally for 30m for 40% of the holder's base damage 4 times per second. On death, spawns our lord savior Healing Core.| Same passive healing as vanilla, but only one enemy can be healed at a time. On hit, imbues the target being healed with increased regen. Also spawns a medium sized zone upon hitting you that slowly heals allies in it.|
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/d/d5/Status_AffixPoison.png/revision/latest/scale-to-width-down/64?cb=20200306055953" width="100"/> Malachite| On hit, disables healing for 8 seconds, multiplied by proc coefficient. Periodically fires 3 spike balls that create a small explosion for 100% damage on impact and sprout spike pits that deal 100% contact damage. On death, spawns a Malchite Urchin which is completely useless.| No longer creates spike piles. Now spawns orbital malachite urchins. Passively reduces your healing if you're too far from them. Still disables healing on hit.|
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/5/54/Status_AffixHaunted.png/revision/latest/scale-to-width-down/64?cb=20200306055950" width="100"/> Celestine| Slow targets on hit for 1.5 seconds times proc coefficient. Passively creates a large aura that makes all non-Celestine allies inside of it invisible.| No longer slows on hit. On hit, spawns a cloud of fog at the target's location that impairs vision. The passive aura now buffs ally stats instead of cloaking them.|
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/0/0d/Status_AffixVoid.png/revision/latest/scale-to-width-down/64?cb=20220305192011" width="100"/> Voidtouched| Collapse target on hit, causing them to take a delayed 400% base damage. Passively gains the damage negation effect of a single stack of vanilla Safer Spaces. On death, spawn the void infestor that was infesting them.| No longer collapses on hit. Periodically spawns 4 void reaver projectiles in random spots around the player if they have line of sight and are less than 120m away. Gives a small amount of curse to target on hit.|
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/b/bd/Status_AffixLunar.png/revision/latest/scale-to-width-down/64?cb=20210408185720" width="100"/> Perfected| Cripple target on hit. Occasionally fire 5 bomb projectiles at enemies. Gain 35% increased movement speed. Gain 25% max health. All health is converted to shields.| Who fucking knows man (they're unchanged for now)|

# Interactable Reworks
- Lunar pods now drop a lunar potential with a choice between 2 items (exclusing Heresy items) upon opening them.
- Void cradles now give you a curse for the rest of the stage worth 10% of your maximum health, instead of dealing 50% of your max health in damage. They also now explode after activating the teleporter, in order to force you to deal with the downside for at least a bit.
- Scrappers no longer exist :gigacat: (note: scrappers can be reenabled through config)
- Scavenger bags now only drop 3 items.
- Legendary chest cost has been halved.
- Cloaked chests only cost 1 credit to spawn.
- Category chests no longer have increased price.
- Bunch of drone changes.
- Bunch of shrine changes.

# Mechanic Reworks
There are way too many to list here, so please check the google doc for more information.

# Contact/Feedback
Join the balls group discord server and send any suggestion or bug reports in their respective channels.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       